package com.arms.api.analysis.cost.model.dto;

import com.arms.api.util.model.dto.PdServiceAndIsReqDTO;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Setter
@AllArgsConstructor
@NoArgsConstructor
@Getter
public class CostAggrDTO  {

    PdServiceAndIsReqDTO pdServiceAndIsReq;

    public Long getPdServiceLink() {
        return pdServiceAndIsReq.getPdServiceId();
    }

    public List<Long> getPdServiceVersionLinks() {
        return pdServiceAndIsReq.getPdServiceVersions();
    }

    public Boolean getIsReq() {
        return pdServiceAndIsReq.getIsReq();
    }

}
